body {
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #f0f0f0;
  margin: 0;
  background-image: url('https://png.pngtree.com/png-clipart/20220109/original/pngtree-line-drawing-flower-picture-png-image_7031930.png'), 
                    url('https://png.pngtree.com/png-clipart/20220109/original/pngtree-line-drawing-flower-picture-png-image_7031930.png');
  background-position: left center, right center;
  background-repeat: repeat-y, repeat-y;
  background-size: 150px auto;
}

/* Add top padding for space */
#map {
  height: 400px;
  width: 80%;
  margin-bottom: 20px;
  margin-top: 80px; /* Margin-top to create space for a menu  */
}

.sustainability-score-container {
  text-align: center;
  width: 60%;
  background-color: white;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.score-bar {
  width: 100%;
  height: 30px;
  background-color: #e0e0e0;
  border-radius: 5px;
  overflow: hidden;
  margin-bottom: 10px;
}

.progress {
  height: 100%;
  width: 0;
  background-color: #4CAF50;
  border-radius: 5px;
  transition: width 0.5s ease-in-out;
}

#gettingthere {
  height: 100%;
  width: 0;
  background-color: #e8e821;
  border-radius: 5px;
  transition: width 0.5s ease-in-out;
}

#notgood {
  height: 100%;
  width: 0;
  background-color: #ea0c0c;
  border-radius: 5px;
  transition: width 0.5s ease-in-out;
}

#score-label {
  font-size: 18px;
  color: #333;
}
